<div class="panel panel-default">
  <div class="panel-heading">
    <h1 style="text-align: center">Product</h1><br>
    <div class="row" [hidden]="!deleteMessage">
      <div class="col-sm-4"></div>
      <div class="col-sm-4">
        <div class="alert alert-info alert-dismissible">
          <button type="button" class="close" data-dismiss="alert">×</button>
          <strong>Product Data Deleted</strong>
        </div>
      </div>
      <div class="col-sm-4"></div>
    </div>
    <input type="text" #key placeholder="Enter product name" btn btn-primary active>
    <button type="button" class="btn btn-success" (click)="searchProduct(key.value)">Search</button>
  </div>
  <div class="panel-body">
    <table class="table table-hover table-sm" datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger">
      <thead class="thead-light">
        <tr>
          <th>Id</th>
          <th>Product Name</th>
          <th>Number</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let product of products ">

          <td>{{product.productId}}</td>
          <td>{{product.productName}}</td>
          <td>{{product.remainedNumber}}</td>
          <td><button (click)="deleteProduct(product.productId)" class='btn btn-primary'><i
                class="fa fa-futboll-0">Delete</i></button>
            <button (click)="openDialog(product.productId)" class='btn btn-info' type="button" data-toggle="modal"
              data-target="#myModal" role="button" aria-expanded="false" aria-controls="myModal">Update</button>
          </td>
        </tr>
      </tbody><br>
    </table>
  </div>
</div>